Bug 733793 - matahari-hostd crashes on startup
Summary: matahari-hostd crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: matahari
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Stokes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 21:25 UTC by Russell Bryant
Modified: 2011-09-10 00:27 UTC (History)
8 users (show)

Fixed In Version: matahari-0.4.4-0.1.2667bbb.git.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-10 00:27:21 UTC


Attachments (Terms of Use)

Description Russell Bryant 2011-08-26 21:25:40 UTC
Description of problem:

matahari-hostd crashes on startup.  The backtrace appears to be the result of stack corruption.

I verified that builds of the latest upstream code work properly.  We need to update the Matahari builds.


Version-Release number of selected component (if applicable):

matahari-0.4.1-2


How reproducible:

Every time.


Steps to Reproduce:
1. start qpidd on port 49000
2. run matahari-hostd

  
Actual results:

It goes boom.


Expected results:

It works.


Additional info:

Comment 1 Steven Dake 2011-08-26 22:08:11 UTC
Note F16 beta deadline is 9/13 and systemd appears to also be not working in current trunk.

Need before (with systemd functional) prior to beta deadline to sort out pacemaker-cloud integration.

Comment 2 Russell Bryant 2011-08-27 11:22:10 UTC
Adam indicated that he would work on updated Fedora builds.

Comment 3 Steven Dake 2011-08-27 16:47:38 UTC
Please note atleast for pacemaker cloud, a functional systemd integration is also required.

Comment 4 Fedora Update System 2011-08-29 16:12:31 UTC
matahari-0.4.2-0.3.67227ab.git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/matahari-0.4.2-0.3.67227ab.git.fc15

Comment 5 Fedora Update System 2011-08-31 01:38:33 UTC
Package matahari-0.4.2-0.3.67227ab.git.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing matahari-0.4.2-0.3.67227ab.git.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/matahari-0.4.2-0.3.67227ab.git.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-09 15:46:55 UTC
matahari-0.4.4-0.1.2667bbb.git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/matahari-0.4.4-0.1.2667bbb.git.fc15

Comment 7 Fedora Update System 2011-09-10 00:27:10 UTC
matahari-0.4.4-0.1.2667bbb.git.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.